<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Editing Groovy Source Files</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>

<h2>Editing Groovy Source Files</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small>

<p>The IDE's built-in Source Editor enables you to 
view, create, and edit your Groovy source code.</p>

<p>You can open the Source Editor
window by double-clicking an editable element in the Projects window or by choosing
File  &gt; New to create a new file.</p>

<p>The IDE has many features to simplify coding of Groovy files such as:</p>
<ul>
  <li><b>Code completion</b>. 
    After you press Ctrl-Space, a dialog box appears and offers possible ways of completing the expression 
    you are typing.</li>
  <li><b>Code templates</b>. 
    You can enter common code snippets by typing abbreviations for those snippets 
    and then pressing Tab.</li> 
  <li><b>Editor hints</b>. For some common coding mistakes, 
  the Source Editor provides hints for adding the missing code and offers to add the 
  code for you automatically. To display hints, choose Source &gt; Fix Code (Alt-Enter).</li>
  <li><b>Word match</b>. After you type the beginning 
    characters of a word used elsewhere in your code and then press Ctrl-K, the Source Editor generates 
    the rest of the word.</li>
  <li><b>Inplace Rename</b>. Select a word in the editor, press Ctrl-R,
  and then all other instances of the current word will change together
  with the current word that you are changing.</li>
  <li><b>Code Folding</b>. Enables you to hide 
    sections of code, such as Javadoc comments and method bodies.</li>
  <li><b>Pair Completion, Smart Enter, and 
    Smart Semicolons</b>. When you type a quotation mark, bracket, brace, 
    or parenthesis, the Source Editor automatically inserts the closing character. 
    The matching is "smart", so the closing characters are not duplicated if you 
    type them yourself.</li>
  <li><b>Import Management</b>. The Ctrl-Shift-I keyboard 
    shortcut helps you generate missing import statements for the file.</li>
</ul>

    
    
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="groovy_intro.html">About Working with Groovy</a></dd>
    <dd><a href="groovy_enable.html">Enabling a Java Application to Support Groovy</a></dd>
</dl>
<hr>
<small><a href="../credits.html">Legal Notices</a></small> 
<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>

</html>
